unit u_params;

interface

uses Windows, SysUtils, Classes, u_ext_info, u_obimp_const;

const
  //filling plugin parameters
  ExtParams : TExtParamsPG =
    (
    ListenTextMsgs      : True;
    ListenFileMsgs      : True;
    );


  ExtInfo: TExtensionInfo =
    (
    ExtType    : EXT_TYPE_PLUGIN;
    ExtUUID    : ($71,$75,$16,$4F,$42,$99,$4A,$CA,$A8,$CA,$44,$D1,$6B,$FF,$71,$30); //MUST BE unique for every new extension/plugin
    ExtName    : 'Test plugin';
    ExtVer     : '1.0.0';
    ExtAuthor  : 'Bimoid';
    ExtInfoURL : 'http://www.bimoid.com';
    ExtParams  : @ExtParams;
    ExtTimer   : True;
    );

  //helpful functions
  procedure OutDebugStr(s: string);
  procedure LogToFile(FileName: string; Data: string);

implementation

{*****************************************************************}
procedure OutDebugStr(s: string);
begin
  OutputDebugString(PChar(s));
end;

{*******************************************************************}
procedure LogToFile(FileName: string; Data: string);
var aFS: TFileStream;
    BOM: TBytes;
begin
  aFS := nil;
  try

  if FileExists(FileName) then
    aFS := TFileStream.Create(FileName, fmOpenWrite or fmShareDenyWrite)
  else
  begin
    aFS := TFileStream.Create(FileName, fmCreate);

    if Assigned(aFS) then
    begin
      BOM := TEncoding.Unicode.GetPreamble;
      aFS.Position := 0;
      aFS.Write(BOM[0], Length(BOM));
    end;
  end;

  except
    if Assigned(aFS) then aFS.Free;
    Exit;
  end;

  aFS.Position := aFS.Size;

  try
    Data := Data + #13#10;

    SetLength(Data, Length(Data));
    aFS.Write(Data[1], Length(Data) * SizeOf(Char));
  finally
    aFS.Free;
  end;
end;


end.
